Package com.enonic.xp.schema

## Class BaseSchema.Builder<T extends BaseSchema.Builder,​SCHEMA_NAME extends BaseSchemaName>

- java.lang.Object
- - com.enonic.xp.schema.BaseSchema.Builder<T,​SCHEMA_NAME>

- Direct Known Subclasses:
    `ContentType.Builder`, `Mixin.Builder`, `RelationshipType.Builder`, `XData.Builder`
  Enclosing class:
    BaseSchema<T extends BaseSchemaName>

      public static class BaseSchema.Builder<T extends BaseSchema.Builder,​SCHEMA_NAME extends BaseSchemaName>
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected SCHEMA_NAME` | `name` |

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `Builder()` |
    `` | `Builder​(BaseSchema schema)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `T` | `createdTime​(Instant value)` |
    `T` | `creator​(PrincipalKey value)` |
    `T` | `description​(String value)` |
    `T` | `descriptionI18nKey​(String descriptionI18nKey)` |
    `T` | `displayName​(String value)` |
    `T` | `displayNameI18nKey​(String value)` |
    `T` | `icon​(Icon schemaIcon)` |
    `T` | `modifiedTime​(Instant value)` |
    `T` | `modifier​(PrincipalKey value)` |
    `T` | `name​(SCHEMA_NAME value)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### name

          protected SCHEMA_NAME extends BaseSchemaName name

  - ### Constructor Detail

    - #### Builder

          protected Builder()

    - #### Builder

          public Builder​(BaseSchema schema)

  - ### Method Detail

    - #### name

          public T name​(SCHEMA_NAME value)

    - #### displayName

          public T displayName​(String value)

    - #### displayNameI18nKey

          public T displayNameI18nKey​(String value)

    - #### description

          public T description​(String value)

    - #### descriptionI18nKey

          public T descriptionI18nKey​(String descriptionI18nKey)

    - #### createdTime

          public T createdTime​(Instant value)

    - #### modifiedTime

          public T modifiedTime​(Instant value)

    - #### creator

          public T creator​(PrincipalKey value)

    - #### modifier

          public T modifier​(PrincipalKey value)

    - #### icon

          public T icon​(Icon schemaIcon)